Main Page Widgets Namespaces Book

# Glib::Container_Helpers::ListHandleIterator< Tr > Class Template Reference

List of all members.

### template<class Tr>
class Glib::Container_Helpers::ListHandleIterator< Tr >

## Public Types
typedef Tr::CppType | CppType
typedef Tr::CType | CType
typedef std::forward_iterator_tag | iterator_category
typedef CppType | value_type
typedef ptrdiff_t | difference_type
typedef value_type | reference
typedef void | pointer
## Public Member Functions
| ListHandleIterator (const GList* node)
value_type | operator* () const
ListHandleIterator<Tr>& | operator++ ()
const ListHandleIterator< Tr > | operator++ (int)
bool | operator== (const ListHandleIterator<Tr>& rhs) const
bool | operator!= (const ListHandleIterator<Tr>& rhs) const

## Member Typedef Documentation

template <class Tr>
typedef Tr::CppType Glib::Container_Helpers::ListHandleIterator<Tr>::CppType

template <class Tr>
typedef Tr::CType Glib::Container_Helpers::ListHandleIterator<Tr>::CType

template <class Tr>
typedef ptrdiff_t Glib::Container_Helpers::ListHandleIterator<Tr>::difference_type

template <class Tr>
typedef std::forward_iterator_tag Glib::Container_Helpers::ListHandleIterator<Tr>::iterator_category

template <class Tr>
typedef void Glib::Container_Helpers::ListHandleIterator<Tr>::pointer

template <class Tr>
typedef value_type Glib::Container_Helpers::ListHandleIterator<Tr>::reference

template <class Tr>
typedef CppType Glib::Container_Helpers::ListHandleIterator<Tr>::value_type

## Constructor & Destructor Documentation

template <class Tr>
Glib::Container_Helpers::ListHandleIterator<Tr>::ListHandleIterator | ( | const GList* | node | ) | `[inline, explicit]`

## Member Function Documentation

template <class Tr>
value_type Glib::Container_Helpers::ListHandleIterator<Tr>::operator* | ( |  | ) | const`[inline]`

template <class Tr>
bool Glib::Container_Helpers::ListHandleIterator<Tr>::operator!= | ( | const ListHandleIterator<Tr>& | rhs | ) | const`[inline]`

template <class Tr>
const ListHandleIterator<Tr> Glib::Container_Helpers::ListHandleIterator<Tr>::operator++ | ( | int |  | ) | `[inline]`

template <class Tr>
ListHandleIterator<Tr>& Glib::Container_Helpers::ListHandleIterator<Tr>::operator++ | ( |  | ) | `[inline]`

template <class Tr>
bool Glib::Container_Helpers::ListHandleIterator<Tr>::operator== | ( | const ListHandleIterator<Tr>& | rhs | ) | const`[inline]`

The documentation for this class was generated from the following file:

- listhandle.h